delete from Version
where size < 0;

create table Content(
	id_version bigint not null,
	filename nvarchar(255) not null,
	idx int not null,
	size int not null,
	downloaded_size int not null default 0,
	md5hash varbinary(32),
	content_type int not null,
	foreign key (id_version) references Version(id)
);

alter table Version
add content_type int not null default 1;
alter table Version
add selected_content_type int not null default 0;
alter table Version
add is_hybrid bit not null default 0;
alter table Version
add available_version bigint not null default 0;

update Version
set available_version = -1, content_type = 1;

alter table Document
add is_imported bit not null default 0;

alter table Version
add is_unlimited bit not null default 0;
